Troubleshooting: plugin role fails to load after an upgrade - CCURE 3.7

CCURE Access Control Plugin Guide 3.7.0

Applies to
CCURE 3.7
Last updated
2021-10-28
Content type
Guides > Plugin and extension guides
Language
English (United States)
Product
CCURE
Version
3.7

If, after upgrading the plugin, you get an error message indicating that the role failed to load, and that the database is waiting for upgrade, you must upgrade the plugin role database manually.

What you should know

The issue occurs because custom fields are added to cardholder entities in this version of the plugin and need to be created in the database.

Procedure

  1. From the Config Tool home page, open the Plugins task.
  2. In the Plugins task, select the CCURE Access Control plugin from the entity browser, and click the Resources tab.
  3. In the database actions, click Database update.
  4. When the database update is completed, restart the plugin role.

Intrusion Manager

The Intrusion Manager role monitors and controls intrusion detection units. It listens to the events reported by the units, provides live reports to Security Center, and logs the events in a database for future reporting.